<template>
  <div class="full">
    <div  class="__category" v-if="category">
      <div class="_cardboard _product_list">
        <div class="container column">
          <div class="title">
            {{ category.name }}
          </div>
          <div class="product_list">
              <div class="product_item" v-for="p in category.products" :key="p.id_product">
                <ProductCard
                  :product="p"
                ></ProductCard>
              </div>
          </div>
        </div>
      </div>
      <div class="about_category" v-if="category.desc">
        <div class="container column">
          <div v-html="category.desc"></div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
import Vue from 'vue'
import ProductCard from '~/components/ProductCard'

Vue.component('ProductCard', ProductCard)

export default {

  scrollToTop: true,
  asyncData({ app, route }) {

    var cat_url = route.params.cat;

    if (cat_url == 'galvanized-baling-wire') {
      var cat_url = '20-' + cat_url;
    }

    if (cat_url == 'single-loop-bale-ties') {
      var cat_url = '12-' + cat_url;
    }

    if (cat_url == 'black-annealed-box-wire') {
      var cat_url = '13-' + cat_url;
    }

    if (cat_url == 'hi-ten-galvanized-stem-wire') {
      var cat_url = '14-' + cat_url;
    }

    if (cat_url == 'black-annealed-stem-wire') {
      var cat_url = '18-' + cat_url;
    }

    var query = {
      comp: 'category',
      url: cat_url
    };

    return app.$apix.get({
      url: '',
      component: 'category',
      key: cat_url,
      cache: true,
      query: query
    })
    .then((res) => {

      return {
        category: res
      }

    });

  },
  data () {
    return {
      category: []
    }
  },
  head() {
    return {
      title: this.category.meta_title,
      meta: [
        { hid: 'description', name: 'description', content: this.category.meta_description },
        { property: 'og:title', content: this.category.meta_title },
        { property: 'og:description', content: this.category.meta_description },
        { property: 'og:url', content: this.$store.state.current_domain + this.$route.path },
        { property: 'og:image', content: this.category.og_image }
      ],
      script: [
        { innerHTML: JSON.stringify(this.category.breadcrumb_schema), type: 'application/ld+json' },
        { innerHTML: JSON.stringify(this.category.products_schema), type: 'application/ld+json' }
      ]
    }
  },
  methods: {
    wasPrice(price) {
      var total;
      var p = price;
      var pri = p.replace('$', '');
      var pric = pri.replace(',', '');
      total = +pric + +pric * 10 / 100;
      var t = parseFloat(total).toFixed(2);
      return Number(t).toLocaleString('en-US', { style: 'currency', currency: 'USD' });
    },
  }
}
</script>
